Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.nds.dirxml.driver.xds
Class XDSValueElement

    java.lang.Object
      com.novell.nds.dirxml.driver.xds.ElementImpl
          com.novell.nds.dirxml.driver.xds.XDSValueElement

All Implemented Interfaces:
  TextParent, XDSElement

public class XDSValueElement
extends ElementImpl
implements TextParent

A `<value>` element.

See Also:
  `ValueElementsParent`

Method Summary
`void` | `appendBytes(byte[] bytes)` Appends a Base64-encoded text node to this element.
`void` | `appendBytes(byte[] bytes, int offset, int length)` Appends a Base64-encoded text node to this element.
`XDSComponentElement` | `appendComponentElement()` Appends an empty, child `<component>` element to this element.
`void` | `appendText(String someText)` Appends a single, child text node containing `someText` to this element.
`byte[]` | `bytes()` Decodes the Base64-encoded text from this element's child text nodes.
`List` | `extractComponentElements()` Returns this element's child `<component>` elements.
`String` | `extractText()` Returns the concatenated child text nodes of this element.
`String` | `getAssociationRef()` Gets the value of this element's `association-ref` attribute.
`ValueType` | `getType()` Gets the value of this element's `type` attribute.
`void` | `setAssociationRef(String someRef)` Sets this element's `association-ref` attribute to `someRef`.
`void` | `setType(ValueType someType)` Sets this element's `type` attribute to `someType`.

Methods inherited from class com.novell.nds.dirxml.driver.xds.ElementImpl
`attributeValueGet, attributeValueGet, attributeValueSet, childElements, documentImpl, domDocument, domElement, localName, namespaceName, position, tagName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.novell.nds.dirxml.driver.xds.XDSElement
`attributeValueGet, attributeValueGet, attributeValueSet, childElements, domDocument, domElement, localName, namespaceName, position, tagName`

Method Detail

### getAssociationRef

    public String getAssociationRef()

  Gets the value of this element's `association-ref` attribute.

  Invocation Context:
    READ

  Returns:
    may return `null`; will not return `""`

### extractText

    public String extractText()

  Description copied from interface: `TextParent`
  Returns the concatenated child text nodes of this element.

  Invocation Context:
    READ

  Specified by:
    `extractText` in interface `TextParent`
  Returns:
    all of the child text nodes of this element; may be `null`; will not return `""`

### bytes

    public byte[] bytes()
                 throws IOException

  Decodes the Base64-encoded text from this element's child text nodes.

  Invocation Context:
    READ

  Returns:
    all of the child text nodes of this element; may be `null`; will not return `""`
  Throws:
    `IOException` - if this element is write-only

### getType

    public ValueType getType()

  Gets the value of this element's `type` attribute.

  Invocation Context:
    READ

  Returns:
    may return `null`

### extractComponentElements

    public List extractComponentElements()

  Returns this element's child `<component>` elements.

  Invocation Context:
    READ

  Returns:
    `java.util.Collections.EMPTY_LIST` or a List of `XDSAddAttrElement` objects; will not return `null`

### setType

    public void setType(ValueType someType)

  Sets this element's `type` attribute to `someType`.

  Invocation Context:
    WRITE

  Parameters:
    `someType` - if `null`, no action is taken

### appendText

    public void appendText(String someText)

  Description copied from interface: `TextParent`
  Appends a single, child text node containing `someText` to this element.

  Invocation Context:
    WRITE

  Specified by:
    `appendText` in interface `TextParent`
  Parameters:
    `someText` - the text being appended; if `null` or `""`, no action is taken

### appendBytes

    public void appendBytes(byte[] bytes,
                            int offset,
                            int length)

  Appends a Base64-encoded text node to this element.

  Invocation Context:
    WRITE

  Parameters:
    `bytes` - the bytes to encode; if `null`, no action is taken
    `offset` - the index of the first byte to encode
    `length` - the number of bytes to encode from `offset`

### appendBytes

    public void appendBytes(byte[] bytes)

  Appends a Base64-encoded text node to this element.

  Invocation Context:
    WRITE

  Parameters:
    `bytes` - the bytes to encode; if `null`, no action is taken

### appendComponentElement

    public XDSComponentElement appendComponentElement()

  Appends an empty, child `<component>` element to this element.

  Invocation Context:
    WRITE

  Returns:
    will not return `null`

### setAssociationRef

    public void setAssociationRef(String someRef)

  Sets this element's `association-ref` attribute to `someRef`.

  Invocation Context:
    WRITE

  Parameters:
    `someRef` - if `null` or `""`, no action is taken

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD